# We can't let RPM do the dependencies automatic because it'll then pick up
# a correct but undesirable perl dependency, which rkhunter does not require
# in order to function properly.
AutoReqProv: no

Summary:	Rootkit scans for rootkits, backdoors and local exploits.
Name:		rkhunter
Version:	1.1.0
Release:	1.cjo
Epoch:		0
License:	GPL
Group:          Applications/System
URL:		http://www.rootkit.nl/
Source0:	http://downloads.rootkit.nl/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	/bin/sh, /bin/ps, /bin/ls, /bin/cat, /bin/egrep
Packager:	Craig Orsinger <cjorsinger@earthlink.net>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and local
exploits by running tests like:
	- MD5 hash compare
	- Look for default files used by rootkits
	- Wrong file permissions for binaries
	- Look for suspected strings in LKM and KLD modules
	- Look for hidden files
	- Optional scan within plaintext and binary files

Rootkit Hunter is released as GPL licensed project and free for everyone to use.


%prep
%setup -q -n %name


%build
#%%configure ...
# We have nothing to configure... yet...


%install
# (cjo) remove old version of build root, if it exists
%{__rm} -rf ${RPM_BUILD_ROOT}

# Well... This could be a bit smaller if the install
# script was able to handle DSTDIR for example...
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_libdir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_var}/rkhunter/{db,tmp}
%{__chmod} ug+rwx,o-rwx ${RPM_BUILD_ROOT}%{_var}/rkhunter/tmp
%{__install} -m750 -p files/rkhunter		${RPM_BUILD_ROOT}%{_bindir}/rkhunter

%{__install} -m640 -p files/backdoorports.dat	${RPM_BUILD_ROOT}%{_var}/rkhunter/db/backdoorports.dat
%{__install} -m640 -p files/defaulthashes.dat	${RPM_BUILD_ROOT}%{_var}/rkhunter/db/defaulthashes.dat
%{__install} -m640 -p files/mirrors.dat		${RPM_BUILD_ROOT}%{_var}/rkhunter/db/mirrors.dat
%{__install} -m640 -p files/os.dat		${RPM_BUILD_ROOT}%{_var}/rkhunter/db/os.dat
%{__install} -m640 -p files/md5blacklist.dat	${RPM_BUILD_ROOT}%{_var}/rkhunter/db/md5blacklist.dat

%{__install} -m640 -p files/CHANGELOG		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/CHANGELOG
%{__install} -m640 -p files/README		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/README
%{__install} -m640 -p files/WISHLIST		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/WISHLIST

%{__install} -m750 -p files/check_modules.pl	${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts/check_modules.pl
%{__install} -m750 -p files/check_port.pl	${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts/check_port.pl
%{__install} -m750 -p files/filehashmd5.pl	${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts/filehashmd5.pl
%{__install} -m750 -p files/filehashsha1.pl	${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts/filehashsha1.pl
%{__install} -m750 -p files/showfiles.pl	${RPM_BUILD_ROOT}%{_libdir}/rkhunter/scripts/showfiles.pl

# (cjo) Put installation root in configuration file, then copy the rest
#       of the file from the original.
cat >> ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf << EOF
## Next three lines installed automatically by RPM. Do not change
## unless you know what you're doing...
INSTALLDIR=%{_prefix}
DBDIR=%{_var}/rkhunter/db
TMPDIR=%{_var}/rkhunter/tmp

EOF

cat files/rkhunter.conf >> ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf
%{__chmod} 640 ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf

# Only root should use rkhunter (at least for now)
%{__chmod} o-rwx -R ${RPM_BUILD_ROOT}%{_libdir}/rkhunter

# make a cron.daily file to mail us the reports
%{__mkdir} -p "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily"
%{__cat} > "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/01-rkhunter" <<EOF
#!/bin/sh
%{_bindir}/rkhunter --cronjob | /bin/mail -s 'rkhunter Daily Run' root
EOF
%{__chmod} a+rwx,g-w,o-rwx ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/01-rkhunter


%clean
%{__rm} -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%{_bindir}/rkhunter
%dir %{_libdir}/rkhunter
%doc %{_docdir}/rkhunter-%{version}
%{_libdir}/rkhunter/scripts
%dir %{_var}/rkhunter/tmp
%{_var}/rkhunter/db
%config(noreplace) %verify(not mtime) %{_sysconfdir}/rkhunter.conf
%{_sysconfdir}/cron.daily/01-rkhunter


%changelog
* Sun May 23 2004 Craig Orsinger (cjo) <cjorsinger@earthlink.net>
- version 1.1.0-1.cjo
- changed installation in accordance with new rootkit installation
  procedure
- changed installation root to conform to LSB. Use standard macros.
- added recursive remove of old build root as prep for install phase

* Wed Apr 28 2004 Doncho N. Gunchev - 1.0.9-0.mr700
- dropped Requires: perl - rkhunter works without it 
- dropped the bash alignpatch (check the source or contact me)
- various file mode fixes (.../tmp/, *.db)
- optimized the %%files section - any new files in the
  current dirs will be fine - just %%{__install} them.

* Mon Apr 26 2004 Michael Boelen - 1.0.8-0
- Fixed missing md5blacklist.dat

* Mon Apr 19 2004 Doncho N. Gunchev - 1.0.6-1.mr700
- added missing /usr/local/rkhunter/db/md5blacklist.dat
- patched to align results in --cronjob, I think rpm based
  distros have symlink /bin/sh -> /bin/bash
- added --with/--without alignpatch for conditional builds
  (in case previous patch breaks something)

* Sat Apr 03 2004 Michael Boelen / Joe Klemmer - 1.0.6-0
- Update to 1.0.6

* Mon Mar 29 2004 Doncho N. Gunchev - 1.0.0-0
- initial .spec file
